Solid Edge Geometry Type Library
GetCircleData Method
Returns the coordinates of the point that is the center of the referenced Circle object.
Returns the unit vector that is perpendicular to the plane of the referenced Circle object.
Returns the radius of the referenced Circle object.
Description
Returns the surface geometry data on the referenced Circle object.
Syntax
Visual Basic
Public Sub GetCircleData( _
   ByRef CenterPoint() As Double, _
   ByRef AxisVector() As Double, _
   ByRef Radius As Double _
) 
Parameters
CenterPoint
Returns the coordinates of the point that is the center of the referenced Circle object.
AxisVector
Returns the unit vector that is perpendicular to the plane of the referenced Circle object.
Radius
Returns the radius of the referenced Circle object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objBody As SolidEdgeGeometry.Body
    Dim objEdges As Object
    Dim objCircEdge As SolidEdgeGeometry.Edge
    Dim objCircle As SolidEdgeGeometry.Circle
    Const TESTFILE = "T:\vbtests\testcases\Curve3d.par"
    Dim dblRad As Double
    Dim dblAxisVect(1 To 3) As Double
    Dim dblBasePt(1 To 3) As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Open the TestFile
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' Get the Model object
    Set objBody = objDoc.Models(1).Body
    ' Get Edges Collection object
    Set objEdges = objBody.Edges(EdgeType:=igQueryAll)
    ' Get a Circular Edge
    Set objCircEdge = objEdges(16)
    ' Get the Circular Curve
    Set objCircle = objCircEdge.Geometry
    ' Get the Circle Data
    Call objCircle.GetCircleData(CenterPoint:=dblBasePt, AxisVector:=dblAxisVect, _
                                 Radius:=dblRad)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objBody = Nothing
    Set objCircEdge = Nothing
    Set objEdges = Nothing
    Set objCircle = Nothing
End Sub
See Also

Circle Object  | Circle Members

Send comments on this topic.